import { LocalizeDictionaryParams, LocalizeExtraDictionary } from './interfaces/dictionary.interfaces';
import { HttpClient } from '@angular/common/http';
export declare class LocalizeDictionary {
    private readonly _id;
    private readonly _locale;
    private readonly _supportedLanguages;
    private readonly _http;
    private _data;
    private _url;
    constructor({ id, data, locale, supportedLanguages }: LocalizeDictionaryParams, http: HttpClient);
    readonly id: string;
    readonly locale: string;
    readonly supportedLanguages: string[];
    load(): Promise<boolean>;
    combine(extraDictionary: LocalizeExtraDictionary, mode?: 'prepend' | 'append'): void;
    search(token: string): any;
    private recursiveSearchValue;
}
